Subject: [bug#45126] [core-updates] Rsync 3.2.3

From: Marius Bakke <[email-masked]>
Date: Sun, 23 May 2021 16:40:58 +0200

Leo Famulari <[email-masked]> skriver:

> This patch updates rsync to 3.2.3 and adds a dependency on xxhash.
>
> Using xxhash as the default checksum algorithm is supposed to improve
> performance with large files, and only adds about 600 KiB to the
> closure.
>
> There are other new optional dependencies: zstd and lz4 for compression,
> and OpenSSL for hardware accelerated MD4 and MD5 checksums, but this
> patch doesn't use them. If anyone would like to enable them, that's okay
> with me. There is some info about what they are for here:
>
> https://github.com/WayneD/rsync/blob/master/INSTALL.md
>
> Something I'm unsure about is that I have to build rsync-boot0 with
> "--disable-asm", or else it fails as shown below. This controls whether
> or not to use a new x86_64 assembly MD5 implementation. There are of
> course several differences between rsync-boot0 and rsync, but I don't
> know what the problem is. I suppose it should only be enabled for x86_64
> anyways, but maybe rsync's build tools handle that for us?

rsync is no longer in the bootstrap path since commit
0e2251fcf8189a4f642074d3aa898221b29c3a55 on 'core-updates'.  In the mean
time, perhaps we can add this version as a separate variable such that
users get it with 'guix install rsync'?